libcdr::CDROutputElementList Class Reference

`#include <CDROutputElementList.h>`

## Public Member Functions

| CDROutputElementList ()
| ~CDROutputElementList ()
void | draw (librevenge::RVNGDrawingInterface *painter) const
void | addStyle (const librevenge::RVNGPropertyList &propList)
void | addPath (const librevenge::RVNGPropertyList &propList)
void | addGraphicObject (const librevenge::RVNGPropertyList &propList)
void | addStartTextObject (const librevenge::RVNGPropertyList &propList)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addInsertText (const librevenge::RVNGString &text)
void | addCloseSpan ()
void | addCloseParagraph ()
void | addEndTextObject ()
void | addStartGroup (const librevenge::RVNGPropertyList &propList)
void | addEndGroup ()
bool | empty () const

## Private Attributes

std::vector< std::shared_ptr< CDROutputElement > > | m_elements

## Constructor & Destructor Documentation

## CDROutputElementList()

libcdr::CDROutputElementList::CDROutputElementList | ( |  | ) |

## ~CDROutputElementList()

libcdr::CDROutputElementList::~CDROutputElementList | ( |  | ) |

## Member Function Documentation

## addCloseParagraph()

void libcdr::CDROutputElementList::addCloseParagraph | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addCloseSpan()

void libcdr::CDROutputElementList::addCloseSpan | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addEndGroup()

void libcdr::CDROutputElementList::addEndGroup | ( |  | ) |

Referenced by libcdr::CDRContentCollector::collectGroup(), and libcdr::CDRContentCollector::collectLevel().

## addEndTextObject()

void libcdr::CDROutputElementList::addEndTextObject | ( |  | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addGraphicObject()

void libcdr::CDROutputElementList::addGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addInsertText()

void libcdr::CDROutputElementList::addInsertText | ( | const librevenge::RVNGString & | text | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addOpenParagraph()

void libcdr::CDROutputElementList::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addOpenSpan()

void libcdr::CDROutputElementList::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addPath()

void libcdr::CDROutputElementList::addPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addStartGroup()

void libcdr::CDROutputElementList::addStartGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::collectGroup(), and libcdr::CDRContentCollector::collectLevel().

## addStartTextObject()

void libcdr::CDROutputElementList::addStartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## addStyle()

void libcdr::CDROutputElementList::addStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## draw()

void libcdr::CDROutputElementList::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) | const

## empty()

bool libcdr::CDROutputElementList::empty | ( |  | ) | const

inline

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

## Member Data Documentation

## m_elements

std::vector<std::shared_ptr<CDROutputElement> > libcdr::CDROutputElementList::m_elements

private

Referenced by addCloseParagraph(), addCloseSpan(), addEndGroup(), addEndTextObject(), addGraphicObject(), addInsertText(), addOpenParagraph(), addOpenSpan(), addPath(), addStartGroup(), addStartTextObject(), addStyle(), CDROutputElementList(), draw(), and empty().

The documentation for this class was generated from the following files:

- CDROutputElementList.h
- CDROutputElementList.cpp